summaryrefslogtreecommitdiffstats
path: root/tools/pull-assets.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 05:47:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 05:47:55 +0000
commit31d6ff6f931696850c348007241195ab3b2eddc7 (patch)
tree615cb1c57ce9f6611bad93326b9105098f379609 /tools/pull-assets.sh
parentInitial commit. (diff)
downloadublock-origin-31d6ff6f931696850c348007241195ab3b2eddc7.tar.xz
ublock-origin-31d6ff6f931696850c348007241195ab3b2eddc7.zip
Adding upstream version 1.55.0+dfsg.upstream/1.55.0+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtools/pull-assets.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/pull-assets.sh b/tools/pull-assets.sh
new file mode 100755
index 0000000..88e268d
--- /dev/null
+++ b/tools/pull-assets.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+#
+# This script assumes a linux environment
+
+set -e
+
+DES=dist/build/uAssets
+
+echo "*** Pull assets from remote into $DES"
+git clone --depth 1 --branch master https://github.com/uBlockOrigin/uAssets $DES/main
+git clone --depth 1 --branch gh-pages https://github.com/uBlockOrigin/uAssets $DES/prod